Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class Log4jMarker

    java.lang.Object
      org.apache.logging.slf4j.Log4jMarker

All Implemented Interfaces:
  Serializable, org.slf4j.Marker

    public class Log4jMarker

extends Object
implements org.slf4j.Marker

Log4j/SLF4J `Marker` type bridge.

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Fields inherited from interface org.slf4j.Marker
`ANY_MARKER, ANY_NON_NULL_MARKER`

Constructor Summary
`Log4jMarker(org.apache.logging.log4j.Marker marker)` Constructs a Log4jMarker using an existing Log4j `Marker`.

Method Summary
`void` | `add(org.slf4j.Marker marker)`
`boolean` | `contains(org.slf4j.Marker marker)`
`boolean` | `contains(String s)`
`org.apache.logging.log4j.Marker` | `getLog4jMarker()`
`String` | `getName()`
`boolean` | `hasChildren()`
`boolean` | `hasReferences()`
`Iterator` | `iterator()`
`boolean` | `remove(org.slf4j.Marker marker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.slf4j.Marker
`equals, hashCode`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Log4jMarker

    public Log4jMarker(org.apache.logging.log4j.Marker marker)

  Constructs a Log4jMarker using an existing Log4j `Marker`.

  Parameters:
    `marker` - The Log4j Marker upon which to base this Marker.

Method Detail

### getLog4jMarker

    public org.apache.logging.log4j.Marker getLog4jMarker()

### add

    public void add(org.slf4j.Marker marker)

  Specified by:
    `add` in interface `org.slf4j.Marker`

### remove

    public boolean remove(org.slf4j.Marker marker)

  Specified by:
    `remove` in interface `org.slf4j.Marker`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.slf4j.Marker`

### hasReferences

    public boolean hasReferences()

  Specified by:
    `hasReferences` in interface `org.slf4j.Marker`

### hasChildren

    public boolean hasChildren()

  Specified by:
    `hasChildren` in interface `org.slf4j.Marker`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `org.slf4j.Marker`

### contains

    public boolean contains(org.slf4j.Marker marker)

  Specified by:
    `contains` in interface `org.slf4j.Marker`

### contains

    public boolean contains(String s)

  Specified by:
    `contains` in interface `org.slf4j.Marker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.